
#----------------------------------------------------
# All GeeXLab modules
# Automatically loaded in Python VM since GeeXLab 0.27.0.0
#
'''
import gh_asus_aura
import gh_audio
import gh_av
import gh_bullet3
import gh_camera
import gh_font
import gh_gml
import gh_gpu_buffer
import gh_gpu_program
import gh_gpumon
import gh_imagemagick
import gh_imgui
import gh_input
import gh_leap
import gh_light
import gh_logiled
import gh_material
import gh_mesh
import gh_model
import gh_nvg
import gh_node
import gh_object
import gh_opencl
import gh_vr
import gh_ps
import gh_physx3
import gh_physx4
import gh_polyline
import gh_render_target
import gh_renderer  
import gh_rpi
import gh_sqlite3
import gh_texture
import gh_utils
import gh_vb
import gh_vertex_pool
import gh_window
'''
#----------------------------------------------------


import sys
import platform
import sysconfig
import os
import time
from time import gmtime, strftime
import datetime



demo_dir = gh_utils.get_demo_dir() 		
sys.path.append(demo_dir)

lib_dir = gh_utils.get_lib_dir() 		
sys.path.append(lib_dir + "/python/")
sys.path.append(lib_dir + "/python/libfont/")

from imgui import *
from gxl_utils import *
from libfont1 import *



#-------------------------------------------------------------------
gxl = gxl_utils()


#-------------------------------------------------------------------
winW, winH = gh_window.getsize(0)



#-------------------------------------------------------------------
#imgui_init("krosoft")
imgui_init("light")



#-------------------------------------------------------------------
#
from init_shaders import *
color_prog = init_color_program()






#-------------------------------------------------------------------


# vertical synchronization
gh_renderer.vsync(1)


gl_renderer = gh_renderer.get_renderer_model()
gl_version = gh_renderer.get_api_version()

frames = 0
fps_frames = 0
fps_time = 0
fps = 0

win_hovered = 0